Bug 136941 - font corruption on openoffice.org menus
font corruption on openoffice.org menus
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openoffice.org (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-23 12:51 EDT by Chris Runge
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-28 14:08:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example of screen corruption (111.48 KB, image/jpeg)
2004-10-23 12:52 EDT, Chris Runge
no flags Details
output of fc-list (2.43 KB, text/plain)
2004-10-23 20:28 EDT, Chris Runge
no flags Details

  None (edit)
Description Chris Runge 2004-10-23 12:51:36 EDT
Description of problem:

Openoffice.org menus have corrupted fonts.

Version-Release number of selected component (if applicable):

RHEL 4 beta 1 with openoffice.org-1.1.2-10

How reproducible:

100%

Additional Information:

The corrupted fonts appear on the menus of Openoffice.org on an IBM
Thinkpad T30 with a 1400x1050 screen and a 16 MB Rage Mobility 7500 chip.
Comment 1 Chris Runge 2004-10-23 12:52:02 EDT
Created attachment 105693 [details]
Example of screen corruption
Comment 2 Dan Williams 2004-10-23 20:02:22 EDT
What fonts do you have installed?  Can you past the output of an
'fc-list' command typed into a Terminal to this bug?  Also, what font
is shown as the "default" font in the Fonts preference panel
(Application menu/Red Hat menu->Preferences->Fonts)?  Is it "Sans" or
something else?

Thanks!
Dan
Comment 3 Chris Runge 2004-10-23 20:27:45 EDT
Font is "Sans"
Comment 4 Chris Runge 2004-10-23 20:28:37 EDT
Created attachment 105698 [details]
output of fc-list
Comment 5 Chris Runge 2004-10-31 06:12:56 EST
An update on this. I installed FC3 RC5 on the same laptop this weekend
and the problem still exists. I have, however, discovered that it only
seems to be an issue in 16-bit mode; when I switch to 24-bit mode the
font corruption is largely gone (there are still some small artifacts,
such as the 'n' in 'Window' on the menubar). I haven't had an
opportunity to test it, but I imagine that color depth is also related
to the problem under RHEL 4 Beta 1.

Note: under Linux, I need to use 16-bit color in order to get
accelerated OpenGL graphics at the panel's native resolution of
1400x1050 on this laptop, hence the problem.
Comment 6 Chris Runge 2004-10-31 06:15:03 EST
One other thing. I have seen similar corruption during the install of
FC3 RC5 and RHEL 4 Beta 1, on the Firewall Configuration screen. The
"o" in "No firewall" is corrupted, until you run the cursor over it.
I'm not sure if this points to an underlying problem with xorg-x11,
but I thought I would pass it on.
Comment 7 Dan Williams 2004-10-31 23:50:33 EST
I've seen this with OOo 1.1.2-10 on FC3 using both Luxi Sans and
Nimbus Sans L.  It seems to only happen on the letter 'r'.

Freetype version: 2.1.9-1

What's your version of freetype?  OOo uses the system freetype so that
might be the common factor here... (though I also have a Radeon
Mobility M6 LY, so it might be ATI-specific).
Comment 8 Dan Williams 2004-10-31 23:51:36 EST
(note that I'm running in Millions of Colors (24-bit I assume).
Comment 9 Chris Runge 2004-11-07 17:46:10 EST
Freetype version: 2.1.9-1

Try running in Thousands of Colors, which is 16-bit. You should see
the problem fairly quickly.

Note that I see the problem with other fonts than Sans. Bitstream Vera
Sans also has the same issue.
Comment 10 Caolan McNamara 2005-02-21 09:44:49 EST
As mentioned recently, how does disabling RenderAccel affect this...

e.g. 
        Section "Device"
                Driver "radeon"
                ...
        EndSection

to ->

        Section "Device"
                Driver "radeon"
                Option "RenderAccel" "false"
                ...
        EndSection
Comment 11 Caolan McNamara 2005-02-21 09:54:45 EST
Maybe this is the same or related to rh#143234#
Comment 12 Chris Runge 2005-02-21 15:15:59 EST
Setting RenderAccel to false appears to fix this.
Comment 13 Chris Runge 2005-02-21 15:17:06 EST
Also updated the bugzilla to indicate that the bug still exists (before the
Render Accel fix) in RHEL 4 GA.
Comment 14 Dan Williams 2005-02-28 12:16:38 EST

*** This bug has been marked as a duplicate of 136065 ***
Comment 15 Caolan McNamara 2005-02-28 14:08:56 EST
close as dup
Comment 16 Tim Powers 2005-06-08 11:33:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-198.html

Note You need to log in before you can comment on or make changes to this bug.